Download List

Sponsored link

Project Description

Scheme インタプリタ Gauche をマクロ言語に採用し, Gtk2 で Scheme でクロスプラットフォームで xyzzy (emacs) ライクなテキストエディタを目指します.

System Requirements

System requirement is not defined

Released at 2007-02-03 19:13
shiki 0.0.3-rc2 (1 files Hide)

Release Notes

shiki currently responce to Gauche 0.8.8 (and maybe fixed some
fatal bugs related to Scm_EvalCString() collaterally), so you need to
update gauche 0.8.8 or later if you want to compile it. I compiled
and tested it in Debian GNU/Linux and unstable package gauche,
gauche-dev (0.8.8-2).

Gauche 0.8.8 に対応しました.Debian GNU/Linux unstable
package gauche, gauche-dev (0.8.8-2) で動作確認しています.
Makefile の CFLAGS に -DGAUCHE_API_0_8_8
が加えられ,コンパイルには Gauche 0.8,8 以降が必要
になりました.

この変更により,Scm_EvalCString() のチェック洩れなどに
由来する,酷いバグ (エラーチェックが甘くて
Scme_EvalCString() が失敗すると,エディタごと落ちるなど)
がいくつか直っていると思います.

また,各バッファの環境が GC されてしまうという致命的な問題も直しました.

詳しくは

http://alohakun.blog7.fc2.com/blog-entry-644.html

Changelog

No Changelogs